Skip to main content
GET
/
monitors
/
changes
JavaScript
import ContextDev from 'context.dev';

const client = new ContextDev({
  apiKey: process.env['CONTEXT_DEV_API_KEY'], // This is the default and can be omitted
});

const response = await client.monitors.listAccountChanges();

console.log(response.data);
import os
from context.dev import ContextDev

client = ContextDev(
api_key=os.environ.get("CONTEXT_DEV_API_KEY"), # This is the default and can be omitted
)
response = client.monitors.list_account_changes()
print(response.data)
package main

import (
"context"
"fmt"

"github.com/context-dot-dev/context-go-sdk"
"github.com/context-dot-dev/context-go-sdk/option"
)

func main() {
client := contextdev.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Monitors.ListAccountChanges(context.TODO(), contextdev.MonitorListAccountChangesParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
require "context_dev"

context_dev = ContextDev::Client.new(api_key: "My API Key")

response = context_dev.monitors.list_account_changes

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use ContextDev\Client;
use ContextDev\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('CONTEXT_DEV_API_KEY') ?: 'My API Key');

try {
$response = $client->monitors->listAccountChanges(
changeDetectionType: 'exact',
cursor: 'cursor',
limit: 1,
monitorID: 'monitor_id',
since: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
tag: 'tag',
targetType: 'page',
until: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
context-dev monitors list-account-changes \
--api-key 'My API Key'
curl --request GET \
--url https://api.context.dev/v1/monitors/changes \
--header 'Authorization: Bearer <token>'
HttpResponse<String> response = Unirest.get("https://api.context.dev/v1/monitors/changes")
.header("Authorization", "Bearer <token>")
.asString();
{
  "data": [
    {
      "mode": "web",
      "id": "chg_123",
      "monitor_id": "mon_123",
      "title": "Acme pricing page changed",
      "summary": "The visible text on the page changed.",
      "detected_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "confidence": 0.5,
      "added_url_count": 1,
      "removed_url_count": 1,
      "matched_url_count": 1,
      "tags": [
        "pricing",
        "competitor"
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
{
"message": "<string>",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}
0 Credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

monitor_id
string
target_type
enum<string>
Available options:
page,
sitemap,
extract
change_detection_type
enum<string>
Available options:
exact,
semantic
since
string<date-time>
until
string<date-time>
limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string
tag
string

Filter to items that have this tag.

Response

A paginated list of changes

data
Change summary · object[]
required
has_more
boolean
required
next_cursor
string | null
required